diff -purN u-boot-1.1.4-0rig/tools/customize/README u-boot-1.1.4/tools/customize/README
--- u-boot-1.1.4-0rig/tools/customize/README	1970-01-01 01:00:00.000000000 +0100
+++ u-boot-1.1.4/tools/customize/README	2006-08-23 21:50:42.000000000 +0200
@@ -0,0 +1,25 @@
+The "tools/customize" directory allows you to add the tool
+of your choice to the U-boot build
+without influencing the top tools directory.
+
+In order to add a tool you have to make a subdirectory 
+
+mkdir -p tools/customize/<mytool>
+
+Typical contents of a custom tool directory:
+
+tool.mk:-----------------------------------
+LOGO_BMP = <mylogo>.bmp
+BINS	+= <mytool>$(SFX)
+OBJS	+= customize/<mytool>/<mytool>.o
+
+build.mk:----------------------------------
+<mytool>.o:	customize/<mytool>/<mytool>.c
+		$(CC) -g $(CFLAGS) -c $<
+
+
+<mytool>.c:----------------------------------
+
+<Source code for your tool>
+
+-------------------------------------------
diff -purN u-boot-1.1.4-0rig/tools/customize/template/build.mk u-boot-1.1.4/tools/customize/template/build.mk
--- u-boot-1.1.4-0rig/tools/customize/template/build.mk	1970-01-01 01:00:00.000000000 +0100
+++ u-boot-1.1.4/tools/customize/template/build.mk	2006-08-23 21:50:42.000000000 +0200
@@ -0,0 +1 @@
+#
diff -purN u-boot-1.1.4-0rig/tools/customize/template/tool.mk u-boot-1.1.4/tools/customize/template/tool.mk
--- u-boot-1.1.4-0rig/tools/customize/template/tool.mk	1970-01-01 01:00:00.000000000 +0100
+++ u-boot-1.1.4/tools/customize/template/tool.mk	2006-08-23 21:50:42.000000000 +0200
@@ -0,0 +1 @@
+#
diff -purN u-boot-1.1.4-0rig/tools/Makefile u-boot-1.1.4/tools/Makefile
--- u-boot-1.1.4-0rig/tools/Makefile	2006-08-23 21:50:27.000000000 +0200
+++ u-boot-1.1.4/tools/Makefile	2006-08-23 21:50:42.000000000 +0200
@@ -116,8 +116,12 @@ CC	   = $(HOSTCC)
 STRIP	   = $(HOSTSTRIP)
 MAKEDEPEND = makedepend
 
+include	customize/*/tool.mk
+
 all:	.depend $(BINS) $(LOGO_H) subdirs
 
+include	customize/*/build.mk
+
 envcrc$(SFX):	envcrc.o crc32.o environment.o
 		$(CC) $(CFLAGS) -o $@ $^
 
